{ pkgs ? import <nixpkgs> {}, haskellPackages ? pkgs.haskellPackages, args ? {} }:

let
  pkg = pkgs.haskell.lib.overrideCabal (haskellPackages.callCabal2nix "glest" ./. ({EGL = null; GLESv2 = null;} // args)) {
    librarySystemDepends = [ pkgs.libGL ];
  };

in
  if pkgs.lib.inNixShell then pkg.env else pkg
